<!DOCTYPE html>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>JSON响应</title>
        <style>
            #result {
                width: 200px;
                height: 100px;
                border: solid 1px #89b;
            }
        </style>
    </head>

    <body>
        <div id="result"></div>
        <script>
            const result = document.getElementById("result");
            //绑定键盘按下事件
            window.onkeydown = function () {
                //发送请求
                const xhr = new XMLHttpRequest();
                //设置响应体数据的类型
                xhr.responseType = "json";
                //初始化
                xhr.open("GET", "http://127.0.0.1:8000/json-server");

                //事件绑定
                xhr.onreadystatechange = function () {
                    if (xhr.readyState === 4) {
                        if (xhr.status >= 200 && xhr.status < 300) {
                            //
                            // console.log(xhr.response);
                            // result.innerHTML = xhr.response;
                            // 1. 手动对数据转化
                            // let data = JSON.parse(xhr.response);
                            // console.log(data);
                            // result.innerHTML = data.name;
                            // 2. 自动转换
                            console.log(xhr.response);
                            // 将JSON对象转换成字符串
                            const jsonString = JSON.stringify(xhr.response);
                            result.innerHTML = `<pre>${jsonString}</pre>`;
                            result.innerHTML += xhr.response.name;
                        }
                    }
                };
                //发送
                xhr.send();
            };
        </script>
    </body>
</html>
